#2828 ie6 crashes w new blue framed theme

1.340
closed
Jamie Cameron
5
2007-05-16
2007-05-13
hoohaa
No

While I like the look of the new WebMin blue-framed theme, and the similar theme now adopted on webmin.com, the new webmin blue-framed theme has problems with its HTML and sometimes also crashes IE6 badly, for me. Crashes it completely, to the point where it forces a re-start.

While the webmin.com website works very well in both IE6 and Firefox2, within webmin the blue-framed theme has problems.

The theme loads up OK, but a script error is reported by IE straight away, along the lines of:

Line:21
Char:2
Code:0
Error:Access is denied.

URL:https://123.456.789.0:10000/images/iepngfix.htc.

But the theme clearly has problems rendering images correctly, specifically:

- the small green arrow/squares that highlight the menu items: they momentarily display the first time the theme loads, then disappear completely; and

- the icons within most Webmin modules also display a light brown background, instead of any transparency. This is weird, since most of the icons **are actually GIF images** (eg in the Apache module) but they are rendering like they are PNG files that are affected by the notorious IE PNG transparency display bug!!

These display inconsistencies suggest to me that there is a javascript at work handling the images causing these display problems in IE.

The webmin log also now reports a string of errors across every module I access, like so:

[13/May/2007:11:21:08 -0700] [987.654.321.0] /unauthenticated/pngfix.js : File not found
[13/May/2007:11:21:09 -0700] [987.654.321.0] /apache/unauthenticated/style.css : File not found
[13/May/2007:11:27:16 -0700] [987.654.321.0] /unauthenticated/pngfix.js : File not found
[13/May/2007:11:27:18 -0700] [987.654.321.0] /webmin/unauthenticated/style.css : File not found
[13/May/2007:11:28:09 -0700] [987.654.321.0] /unauthenticated/pngfix.js : File not found
[13/May/2007:11:28:09 -0700] [987.654.321.0] /syslog/unauthenticated/style.css : File not found

etc etc

The IE6 crashes don't happen initially or consistenly. But sometimes when I swap between modules, or return to the 'System Information' page, IE6 will crash completely and and report an 'application failure: iexplore.exe, 6.0.2800.1106, mshtml.dll'

I suspect this is induced by some jscript flakiness.

Can I suggest that you have a look at the differences in your HTML and CSS between your webmin.com site theme, which works beautifully in IE/FF and Opera, and the HTML/CSS built into the new webmin blue framed theme, which doesn't.

Webmin is 1.340, running on CentOS 4.3, IE6 is running on W2K.

Discussion

  • Jamie Cameron
    Jamie Cameron
    2007-05-14

    Logged In: YES
    user_id=129364
    Originator: NO

    That is very odd, as IE6 on Windows XP works fine for me with the new theme.
    The only bug I can re-produce is thay /unauthenticated/pngfix.js error, which is caused by a harmless bad link and will be fixed in the next Webmin release.

    Are you running the latest version of IE6 for W2K there? Perhaps these bugs were fixed in a newer version..

    If you can't upgrade, you might want to try to Virtualmin Framed Theme, from :
    http://download.webmin.com/download/virtualmin/virtual-server-theme-4.1.wbt.gz

    This has a similar UI with slightly different CSS. It will work even if you don't have Virtualmin installed.

     
  • hoohaa
    hoohaa
    2007-05-14

    Logged In: YES
    user_id=1792229
    Originator: YES

    Thanks Jamie for the response.

    IE6 is pretty much fully current. It is a *very* rare page or site that crashes it so completely:) So something exotic must be going on behind the scenes here.

    I'll try the Virtualmin theme, as you suggest, but my default is now the old 'Simple' text-only theme. It's fast!

     
  • hoohaa
    hoohaa
    2007-05-14

    Logged In: YES
    user_id=1792229
    Originator: YES

    Naah.

    I've now tried the new VirtualMin theme, and it has precisely the same display problems, and then some extras too (default serif font shows on the main virtualmin system information page instead of the intended san-serif fonts, icons not showing/persisting on the left menu item links unless you click the link *twice* to expand and then contract the menu, etc ).

    But at least it didn't crash IE, I guess, and no 'File not found' errors are in the miniserv error log anymore. But it is still not really a usable or presentable theme.

    I don't think the CSS is to blame. It's hard for CSS to go that wrong with any IE from 5 up. More likely to be some scripting issues. Do you really need what the jscript is doing? CSS can handle image rollovers, and with all your icons as GIF's you don't need to make any accommodations to fixing the IE PNG display issue via jscript.

    I could use Opera or FF, which don't have these problems, but that's not really the point.

    Sometin is broke.

     
  • Jamie Cameron
    Jamie Cameron
    2007-05-15

    Logged In: YES
    user_id=129364
    Originator: NO

    I'm going to forward this bug to Joe Cooper, who did the CSS for both themes .. perhaps he can comment.

     
  • Jamie Cameron
    Jamie Cameron
    2007-05-16

    Logged In: YES
    user_id=129364
    Originator: NO

    Ok, I think we found the cause of this - it was some bad javascript that was supposed to fix IE transparency problems.
    The next release of Webmin (1.350) will include a fix.

     
  • Jamie Cameron
    Jamie Cameron
    2007-05-16

    • status: open --> closed